package com.ruoyi.abuwx.service.impl;

import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.abuwx.mapper.CardCouponsMapper;
import com.ruoyi.abuwx.domain.CardCoupons;
import com.ruoyi.abuwx.service.ICardCouponsService;

/**
 * 卡券管理Service业务层处理
 *
 * @author lujie
 * @date 2025-01-07
 */
@Service
public class CardCouponsServiceImpl implements ICardCouponsService {
    @Autowired
    private CardCouponsMapper cardCouponsMapper;

    /**
     * 查询卡券管理
     *
     * @param id 卡券管理主键
     * @return 卡券管理
     */
    @Override
    public CardCoupons selectCardCouponsById(Long id) {
        return cardCouponsMapper.selectCardCouponsById(id);
    }

    /**
     * 查询卡券管理列表
     *
     * @param cardCoupons 卡券管理
     * @return 卡券管理
     */
    @Override
    public List<CardCoupons> selectCardCouponsList(CardCoupons cardCoupons) {
        return cardCouponsMapper.selectCardCouponsList(cardCoupons);
    }

    /**
     * 新增卡券管理
     *
     * @param cardCoupons 卡券管理
     * @return 结果
     */
    @Override
    public int insertCardCoupons(CardCoupons cardCoupons) {
        cardCoupons.setCreateTime(DateUtils.getNowDate());
        return cardCouponsMapper.insertCardCoupons(cardCoupons);
    }

    /**
     * 修改卡券管理
     *
     * @param cardCoupons 卡券管理
     * @return 结果
     */
    @Override
    public int updateCardCoupons(CardCoupons cardCoupons) {
        cardCoupons.setUpdateTime(DateUtils.getNowDate());
        return cardCouponsMapper.updateCardCoupons(cardCoupons);
    }

    /**
     * 批量删除卡券管理
     *
     * @param ids 需要删除的卡券管理主键
     * @return 结果
     */
    @Override
    public int deleteCardCouponsByIds(Long[] ids) {
        return cardCouponsMapper.deleteCardCouponsByIds(ids);
    }

    /**
     * 删除卡券管理信息
     *
     * @param id 卡券管理主键
     * @return 结果
     */
    @Override
    public int deleteCardCouponsById(Long id) {
        return cardCouponsMapper.deleteCardCouponsById(id);
    }
}
